<?php

namespace App\Example;

use App\Builder;
use App\Child;

//   children table has structure:
//
//   |----|--------------------|-----|--------------------|
//   | id | name               | age | school             |
//   |----|--------------------|-----|--------------------|
//   | 1  | Павел Мишалов      | 15  | Лицей номер 14     |
//   | 2  | Дмитрий Новиков    | 17  | Школа им. Гагарина |
//   | 3  | Василий Данилишин  | 13  | Лицей номер 14     |
//   | 4  | Владислав Ткаченко | 17  | Школа им. Ленина   |
//   |----|--------------------|-----|--------------------|


$child_1 = [
    'id' => 1,
    'name' => 'Павел Мишалов',
    'age' => 15,
    'school' => 'Лицей номер 14',
];

$child_2 = [
    'id' => 2,
    'name' => 'Дмитрий Новиков',
    'age' => 17,
    'school' => 'Школа им. Гагарина',
];

$child_3 = [
    'id' => 3,
    'name' => 'Василий Данилишин',
    'age' => 13,
    'school' => 'Лицей номер 14',
];

$child_4 = [
    'id' => 4,
    'name' => 'Владислав Ткаченко',
    'age' => 17,
    'school' => 'Школа им. Ленина',
];

$children = [
    new Child($child_1),
    new Child($child_2),
    new Child($child_3),
    new Child($child_4),
];

$builder = new Builder($children);

$result = $builder->select('name', 'age')->toResponse();

//    Где $result вернет массив:
//    [
//        ["name" => "Павел Мишалов", "age" => 15],
//        ["name" => "Дмитрий Новиков", "age" => 17],
//        ["name" => "Василий Данилишин", "age" => 13],
//        ["name" => "Владислав Ткаченко", "age" => 17],
//    ];
